Ubuntu

lp:ubuntu/precise-proposed/quickly

Created by Ubuntu Package Importer on 2012-06-04 and last modified on 2012-07-12
Get this branch:
bzr branch lp:ubuntu/precise-proposed/quickly
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

35. By Didier Roche on 2012-07-09

* debian/patches/fix-extras.patch:
  - fix a regression with latest python-distutils-extra from -proposed.
    Now support both (LP: #1022514)
  - fix Exec= key matching when it has args. (LP: #1021675)

34. By Michael Terry on 2012-07-05

* debian/patches/fix-extras.patch:
  - Add libglib2.0-bin to the Build-Depends line when using submitubuntu
    or package --extras. This is needed for glib-compile-schemas.
    LP: #1018038

33. By Michael Terry on 2012-05-31

* debian/patches/fix-extras.patch:
  - Fix 'package --extras' and 'submitubuntu' to create packages suitable
    for the ARB process again (LP: #1003818, LP: #998910, LP: #1002417)
* debian/patches/no-warn-on-fresh-cli.patch:
  - For ubuntu-cli and ubuntu-flash-game, don't keep warning about
    upgrading the project to use PyGI, even on fresh projects
    (LP: #1007006)
* debian/patches/fix-flash-template.patch:
  - Fix flash game template to still use gtk2, as flash requires that
    (LP: #1007086)
* debian/control:
  - Depend on webkit-1.0 and gtk-2.0 for above flash change

32. By Michael Terry on 2012-04-19

* New upstream release
  - Drops ubuntu-pygame template, as it uses deprecated desktopcouch.
    Users should try ubuntu-application and embed pygame.
* debian/control:
  - Drop pygame and desktopcouch as dependencies
* debian/patches/fix_test_example.patch:
  - Dropped, applied upstream

31. By Michael Terry on 2012-04-12

* debian/patches/fix_test_example.patch:
  - Fix shipped example test so that 'quickly test' works out of the box.
    LP: #969133

30. By Michael Terry on 2012-03-14

* New upstream release
  - Tutorial update (LP: #929417, LP: #929420, LP: #929572)
  - Fix crash when creating derived-template projects (LP: #936379)
  - Don't strip comments from glade files (LP: #945808)
* debian/rules:
  - Move project_root schema file to template directory after
    python-distutils-extra zealously places it in system schema folder.

29. By Michael Terry on 2012-03-06

* debian/control:
  - Add gtk3 version of glade and gir1.2-* packages as Depends to
    template package. Keeping gtk2 versions around for old projects
    that haven't been ported yet. Can drop them in a future Ubuntu
    release. LP: #941230

28. By Michael Terry on 2011-12-22

* New upstream release
* debian/patches/fix-cli-upgrade.patch,
  debian/patches/run_new_glade_gtk2.patch:
  - Dropped, included upstream

27. By Didier Roche on 2011-10-06

* run_new_glade_gtk2.patch:
  - run the new gtk2 glade version
* debian/control:
  - dep on glade-gtk2

26. By Michael Terry on 2011-10-03

* debian/control:
  - Add python-launchpad-integration to Depends list because the
    'package' command will warn user not to continue if it isn't
    installed. LP: #862387
* debian/patches/fix-cli-upgrade.patch:
  - Don't raise an exception if the project_lib/Builder.py file isn't
    present when running 'upgrade'. It may not exist for valid reasons
    such as being an ubuntu-cli project. LP: #863483

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/quantal/quickly
This branch contains Public information 
Everyone can see this information.

Subscribers